Subject: It is impossible to use the Collection interface in "type hints"
Description

Currently it is not possible to use the Collection interface for @param or @var annotations, because the TypeHandling doesn't
consider it a valid collection type. For the sake of decoupling it should be possible to do so, though.

Related issues:
duplicates TYPO3.Flow - Bug # 27825: TypeHandling should use the Collection i... Closed 2011-07-04

Associated revisions
Revision cb1ff889 - 2011-09-09 15:14 - Karsten Dambekalns

[BUGFIX] Allow use of the Collection interface in "type hints"

In type hints as well as @var and @param annotations it is better to
use the Collection interface instead of concrete implementations like
ArrayCollection. This was not possible so far.

This changes makes it possible to use Collection instead. When FLOW3 has
to create an instance for Collection, it will create an ArrayCollection.

Change-Id: I7edbaee97932469018ec89e640bfed10d4d54252
Fixes: #29419

History
#1 - 2011-09-01 18:00 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I7edbaee97932469018ec89e640bfed10d4d54252 has been pushed to the review server.
It is available at http://review.typo3.org/4727

#2 - 2011-09-02 12:21 - Karsten Dambekalns
- Status changed from Under Review to Closed

Ok, I didn't realize we had this one when creating #29419 - refer to that one for actual progress on this issue.

#3 - 2011-09-02 12:23 - Karsten Dambekalns
- Status changed from Closed to Under Review

Why was this one closed?

Edit: it seems stupid as I ask this, after having seemingly closed this issue myself. I did not, here is what happened: I commented on and closed
#27825, only to come back here and see it closed and with the same comment as well. Go figure...

#4 - 2011-09-07 12:22 - Mr. Hudson

Patch set 2 of change I7edbaee97932469018ec89e640bfed10d4d54252 has been pushed to the review server.
It is available at http://review.typo3.org/4727

#5 - 2011-09-09 11:10 - Mr. Hudson

Patch set 3 of change I7edbaee97932469018ec89e640bfed10d4d54252 has been pushed to the review server.
It is available at http://review.typo3.org/4727

#6 - 2011-09-09 11:40 - Mr. Hudson

Patch set 4 of change I7edbaee97932469018ec89e640bfed10d4d54252 has been pushed to the review server.
It is available at http://review.typo3.org/4727

#7 - 2011-09-09 15:15 - Mr. Hudson

Patch set 5 of change I7edbaee97932469018ec89e640bfed10d4d54252 has been pushed to the review server.
It is available at http://review.typo3.org/4727

#8 - 2011-09-09 15:21 - Robert Lemke
- Status changed from Under Review to Resolved
